import { Y as a, bI as y, a4 as w, a3 as s, dx as h, w as f, Z as u, hJ as g, az as C, F as o, a6 as r, G as m, a7 as t, a8 as l, af as p, a9 as b, aa as S, ab as x, bX as V, S as v, B as P } from "./603b75d9.js";
import { useContext as c } from "react";
import { ContainerCompBuilder as B } from "./23a8bd12.js";
import { TriContainer as T } from "./ee85a93d.js";
import "react-dom";
import "./48fb13b8.js";
import "./046c0def.js";
const F = [{
  label: "Markdown",
  value: "markdown"
}, {
  label: a("text"),
  value: "text"
}], H = [{
  label: "None",
  value: "none"
}, {
  label: "Right",
  value: "right"
}, {
  label: "Left",
  value: "left"
}], N = function() {
  const n = {
    disabled: y,
    text: w("text", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi feugiat faucibus eleifend. Pellentesque eleifend, risus vel sagittis mattis, mauris ipsum tempor sapien, eu lobortis lacus libero a dui. Cras erat felis, rhoncus vestibulum consectetur et, ultrices ut purus. Sed a tortor orci. Vestibulum nec eleifend ante."),
    type: s(F, "markdown"),
    float: s(H, "left"),
    horizontalAlignment: h(),
    width: f(v, "40"),
    style: u(g),
    animationStyle: u(C)
  };
  return new B(n, (e, i) => /* @__PURE__ */ o(T, {
    ...e
  })).setPropertyViewFn((e) => /* @__PURE__ */ r(m, {
    children: [/* @__PURE__ */ r(t, {
      name: l.basic,
      children: [e.type.propertyView({
        label: a("value"),
        tooltip: a("textShow.valueTooltip"),
        radioButton: !0
      }), e.text.propertyView({})]
    }), ["logic", "both"].includes(c(p).editorModeStatus) && /* @__PURE__ */ o(t, {
      name: l.interaction,
      children: b(e)
    }), ["layout", "both"].includes(c(p).editorModeStatus) && /* @__PURE__ */ r(m, {
      children: [/* @__PURE__ */ r(t, {
        name: l.layout,
        children: [e.container.getPropertyView(), e.width.propertyView({
          label: a("container.flowWidth")
        }), e.float.propertyView({
          label: a("container.floatType"),
          radioButton: !0
        }), e.horizontalAlignment.propertyView({
          label: a("textShow.horizontalAlignment"),
          radioButton: !0
        })]
      }), /* @__PURE__ */ o(t, {
        name: "Floating Text Style",
        children: e.style.getPropertyView()
      }), /* @__PURE__ */ o(t, {
        name: l.animationStyle,
        hasTooltip: !0,
        children: e.animationStyle.getPropertyView()
      }), /* @__PURE__ */ o(t, {
        name: "Container Style",
        children: e.container.stylePropertyView()
      }), e.container.children.showHeader.getView() && /* @__PURE__ */ o(t, {
        name: "Header Style",
        children: e.container.headerStylePropertyView()
      }), e.container.children.showBody.getView() && /* @__PURE__ */ o(t, {
        name: "Body Style",
        children: e.container.bodyStylePropertyView()
      }), e.container.children.showFooter.getView() && /* @__PURE__ */ o(t, {
        name: "Footer Style",
        children: e.container.footerStylePropertyView()
      })]
    })]
  })).build();
}();
function M(n) {
  let e = P(n);
  if (e.value) {
    const i = e.value.container;
    if (i && (i.hasOwnProperty("layout") || i.hasOwnProperty("items"))) {
      const d = e.value.autoHeight;
      return {
        ...e,
        value: {
          container: {
            showHeader: !1,
            body: {
              0: {
                view: i
              }
            },
            showBody: !0,
            showFooter: !1,
            autoHeight: d
          }
        }
      };
    }
  }
  return e;
}
class O extends N {
  constructor(e) {
    super(M(e));
  }
}
const J = S(O, [x]);
function L(n, e) {
  return {
    container: {
      header: V([{
        item: {
          compType: "text",
          name: e.genItemName("containerTitle"),
          comp: {
            text: "### " + a("container.title")
          }
        },
        layoutItem: {
          i: "",
          h: 5,
          w: 24,
          x: 0,
          y: 0
        }
      }])
    }
  };
}
export {
  N as ContainerBaseComp,
  J as ContainerComp,
  L as defaultContainerData
};
